Page MenuHomePhabricator

15min read-only on some wikis for network maintenance on 2019-03-19
Closed, ResolvedPublic

Description

We will be performing a network maintenance (T187960) on March 19th.
To be on the safe side we will need to make the wikis depending on the s2 master as read-only for 15min at 15:00UTC.
The impacted wikis are (according to https://noc.wikimedia.org/conf/highlight.php?file=db-eqiad.php):

bgwiki
bgwiktionary
cswiki
enwikiquote
enwiktionary
eowiki
fiwiki
idwiki
itwiki
nlwiki
nowiki
plwiki
ptwiki
svwiki
thwiki
trwiki
zhwiki

Date: Tuesday March 19th, 15:00UTC
Duration: 15min max (expected duration shorter)
Impact: Wikis listed above will be read-only

Please let me know if there is any issue with this scheduling or if you need more information.
Thank you!

Event Timeline

ayounsi triaged this task as Normal priority.Mar 1 2019, 8:22 PM
ayounsi created this task.
Restricted Application added subscribers: jeblad, Cosine02, Aklapper. · View Herald TranscriptMar 1 2019, 8:22 PM
Aklapper renamed this task from 15min read-only on some wikis for network maintenance to 15min read-only on some wikis for network maintenance on 2019-03-19.Mar 2 2019, 7:58 AM
Johan claimed this task.Mar 4 2019, 6:50 PM
Restricted Application added a project: User-Johan. · View Herald TranscriptMar 4 2019, 6:50 PM
Johan moved this task from Backlog to Do now on the User-Johan board.Mar 4 2019, 6:52 PM
Johan added a comment.Mar 5 2019, 3:00 PM

Affected wikis have been notified and it's been added to the next issue of Tech News, which will go out on Monday.

Johan added subscribers: Jseddon, Trizek-WMF.EditedMar 5 2019, 6:15 PM

I've also pinged @Jseddon and @Trizek-WMF with a (time-wise) very brief CentralNotice banner request. The communication plan looks like this:

  • Village Pump posts for affected wikis (5 March)
  • Tech News announcement (11 March)
  • CentralNotice banner (pending approval) (19 March, for 25 minutes)
Elitre awarded a token.Mar 8 2019, 5:55 PM
Johan added a comment.Mar 11 2019, 7:36 PM

Tech News delivered; @Trizek-WMF has agreed to put up the banner and I've written the text to be used.

Thanks @Johan!
Can you let me know the link so I can include it on the read-only message the day of the maintenance?
Thank you!

Johan added a comment.Mar 14 2019, 3:18 AM

I've sent out a request for translations.

Change 497472 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Set s2 on read only

https://gerrit.wikimedia.org/r/497472

Change 497472 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Set s2 on read only

https://gerrit.wikimedia.org/r/497472

Marostegui closed this task as Resolved.Mar 19 2019, 3:31 PM

This was done.
Timing:
Read only ON: 15:21:10
Read only OFF: 15:27:56

Thanks everyone here!

Johan moved this task from Do now to Archive on the User-Johan board.Mar 19 2019, 3:48 PM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Mar 20 2019, 7:19 AM